summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-apps/analitza/analitza-18.08.1.ebuild')
-rw-r--r--kde-apps/analitza/analitza-18.08.1.ebuild43
1 files changed, 43 insertions, 0 deletions
diff --git a/kde-apps/analitza/analitza-18.08.1.ebuild b/kde-apps/analitza/analitza-18.08.1.ebuild
new file mode 100644
index 00000000000..dc538401ed6
--- /dev/null
+++ b/kde-apps/analitza/analitza-18.08.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_TEST="forceoptional-recursive"
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="KDE library for mathematical features"
+KEYWORDS="~amd64 ~x86"
+IUSE="eigen nls"
+
+RDEPEND="
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui '-gles2')
+ $(add_qt_dep qtprintsupport)
+ $(add_qt_dep qtsvg)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ eigen? ( dev-cpp/eigen:3 )
+"
+DEPEND="${RDEPEND}
+ nls? ( $(add_qt_dep linguist-tools) )
+"
+
+src_prepare() {
+ kde5_src_prepare
+
+ if ! use test; then
+ sed -i \
+ -e "/add_subdirectory(examples)/ s/^/#DONT/" \
+ analitzaplot/CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package eigen Eigen3)
+ )
+
+ kde5_src_configure
+}